using FluentScheduler;
using Microsoft.Extensions.DependencyInjection;
using Performance.Services;
using Performance.Services.ExtractExcelService;

namespace Performance.Api
{
    public class ExtractDataJob : IJob
    {
        private readonly ExtractJobService extractJobService;

        public ExtractDataJob()
        {
            this.extractJobService = ServiceLocator.Instance.GetService<ExtractJobService>();
        }

        public void Execute()
        {
            extractJobService.Execute();
        }
    }
}
